summaryrefslogtreecommitdiff
path: root/dev-python/versioningit
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-09 03:04:33 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-09 03:04:33 -0500
commita96a971c845e2cd3ffad3b8f63558c6408897f0a (patch)
tree9431452ee7738105e3d34fdaa7a4ac405c646c8b /dev-python/versioningit
parent897a58deb079b5691d4424cc15517aea6e422808 (diff)
downloadbaldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.tar.gz
baldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.tar.xz
baldeagleos-repo-a96a971c845e2cd3ffad3b8f63558c6408897f0a.zip
Adding metadata
Diffstat (limited to 'dev-python/versioningit')
-rw-r--r--dev-python/versioningit/versioningit-3.3.0.ebuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/dev-python/versioningit/versioningit-3.3.0.ebuild b/dev-python/versioningit/versioningit-3.3.0.ebuild
index 6060b4d8009c..e7291b1f1e22 100644
--- a/dev-python/versioningit/versioningit-3.3.0.ebuild
+++ b/dev-python/versioningit/versioningit-3.3.0.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=hatchling
-PYTHON_FULLY_TESTED=( pypy3_11 python3_{11..13} )
PYTHON_COMPAT=( python3_{13..14} )
inherit distutils-r1 pypi
@@ -25,9 +24,7 @@ RDEPEND="
"
BDEPEND="
test? (
- $(python_gen_cond_dep '
- dev-python/pydantic[${PYTHON_USEDEP}]
- ' "${PYTHON_FULLY_TESTED[@]}")
+ dev-python/pydantic[${PYTHON_USEDEP}]
)
"
@@ -40,7 +37,7 @@ python_test() {
test/test_end2end.py
)
- if ! has "${EPYTHON/./_}" "${PYTHON_FULLY_TESTED[@]}"; then
+ if ! has_version "dev-python/pydantic[${PYTHON_USEDEP}]"; then
EPYTEST_IGNORE+=(
# Needs pydantic
test/test_methods/test_hg.py